### Name: segmentation
### Title: The class segmentation represents a segmentation result.
### Aliases: segmentation-class confint logLik confint,segmentation-method
###   logLik,segmentation-method plot,segmentation,ANY-method
###   show,segmentation-method
### Keywords: classes

### ** Examples

## generate random data with 5 segments:
y = unlist(lapply(c(0,3,0.5,1.5,5), function(m) rnorm(10, mean=m)))

seg = segment(y, maxseg=10, maxk=15)
seg = confint(seg, parm=c(3,4,5))

if(interactive())
  plot(seg, 5)

show(seg)



